package com.bc_chat.bc_base.entity.wallet;

import java.util.List;

public class RedPacketDetailEntity {

    /**
     * id : 4
     * sender_name : 16605642441
     * sender_avatar : https://chaobo.oss-cn-beijing.aliyuncs.com/Uploads/2018-11-30/%E7%94%A8%E6%88%B7.png
     * amount : 50.00
     * num : 10
     * get_detail : [{"receiver_name":"聊球客服","amount":"0.83","take_time":"0"},{"receiver_name":"系统公告","amount":"7.72","take_time":"0"},{"receiver_name":"16605642441","amount":"0.09","take_time":"0"}]
     * myMoney : 0
     * has_count : 3
     * has_sum : 8.64
     * title : null
     */

    private String id;
    private String sender_name;
    private String sender_avatar;
    private String amount;
    private String num;
    private String myMoney;
    private String has_count;
    private String has_sum;
    private String title;
    private List<GetDetailBean> get_detail;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSender_name() {
        return sender_name;
    }

    public void setSender_name(String sender_name) {
        this.sender_name = sender_name;
    }

    public String getSender_avatar() {
        return sender_avatar;
    }

    public void setSender_avatar(String sender_avatar) {
        this.sender_avatar = sender_avatar;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getMyMoney() {
        return myMoney;
    }

    public void setMyMoney(String myMoney) {
        this.myMoney = myMoney;
    }

    public String getHas_count() {
        return has_count;
    }

    public void setHas_count(String has_count) {
        this.has_count = has_count;
    }

    public String getHas_sum() {
        return has_sum;
    }

    public void setHas_sum(String has_sum) {
        this.has_sum = has_sum;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<GetDetailBean> getGet_detail() {
        return get_detail;
    }

    public void setGet_detail(List<GetDetailBean> get_detail) {
        this.get_detail = get_detail;
    }

    public static class GetDetailBean {
        /**
         * receiver_name : 聊球客服
         * amount : 0.83
         * take_time : 0
         */

        private String receiver_name;
        private String amount;
        private String take_time;

        public String getReceiver_name() {
            return receiver_name;
        }

        public void setReceiver_name(String receiver_name) {
            this.receiver_name = receiver_name;
        }

        public String getAmount() {
            return amount;
        }

        public void setAmount(String amount) {
            this.amount = amount;
        }

        public String getTake_time() {
            return take_time;
        }

        public void setTake_time(String take_time) {
            this.take_time = take_time;
        }
    }

    @Override
    public String toString() {
        return "RedPacketDetailEntity{" +
                "id='" + id + '\'' +
                ", sender_name='" + sender_name + '\'' +
                ", sender_avatar='" + sender_avatar + '\'' +
                ", amount='" + amount + '\'' +
                ", num='" + num + '\'' +
                ", myMoney='" + myMoney + '\'' +
                ", has_count='" + has_count + '\'' +
                ", has_sum='" + has_sum + '\'' +
                ", title='" + title + '\'' +
                ", get_detail=" + get_detail +
                '}';
    }
}
